Subject: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Juanma Barranquero <[email-masked]>
Date: Fri, 16 Mar 2012 03:30:45 +0100

> Those who don't like dings can customize it with visible-bell and
> ring-bell-function, so I wouldn't worry too much about it.

There's a difference between not wanting a ding *ever*, and not
wanting it in that specific case.

> But is the message actually visible or does it get immediately
> overwritten by some other message?

No, the message is visible. Try

  emacs -Q etc\NEWS -f emacs-lock-mode -f save-buffers-kill-terminal

    Juanma